/* AlignmentSelectionChangeListener.java
 *
 * created: Tue Feb 13 2001
 *
 * This file is part of Artemis
 * 
 * Copyright (C) 2001  Genome Research Limited
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Header: /nfs/pathsoft/repository/powmap/diana/AlignmentSelectionChangeListener.java,v 1.2 2001/03/22 10:05:00 kmr Exp $
 */

package diana;

/**
 *  This interface is implemented by those classes that need to know when the
 *  AlignmentSelection changes.  These events are generated by AlignmentViewer
 *  objects.
 *
 *  @author Kim Rutherford
 *  @version $Id: AlignmentSelectionChangeListener.java,v 1.2 2001/03/22 10:05:00 kmr Exp $
 **/

public interface AlignmentSelectionChangeListener {
  public void alignmentSelectionChanged (final AlignmentSelectionChangeEvent e);
}
